Package ru.bitel.bgbilling.modules.sorm.server.bean

# Class ContractWithClosedServices

java.lang.Object
ru.bitel.bgbilling.modules.sorm.server.bean.ContractWithClosedServices

public class ContractWithClosedServices extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractWithClosedServices(Connection connection, int sormModuleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasOpenResources(int cid, ru.bitel.bgbilling.modules.sorm.common.UploadModulesTitle module, InstalledInstanceModule moduleInstance)`
  `List<ClosedSormContract>`
  `search(ru.bitel.bgbilling.modules.sorm.common.UploadModulesTitle moduleTitle, InstalledInstanceModule moduleInstance)`
  Взависимости от модуля смотрит в БД аккаунты, сервисы или логины на предмет закрытия дат и, если на договоре всё закрыто было более 3-х лет назад, то такой договор не должен выгружаться и с него можно убрать модуль СОРМ.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractWithClosedServices

    public ContractWithClosedServices(Connection connection, int sormModuleId)

- ## Method Details

  - ### search

    public List<ClosedSormContract> search(ru.bitel.bgbilling.modules.sorm.common.UploadModulesTitle moduleTitle, InstalledInstanceModule moduleInstance) throws ru.bitel.bgbilling.common.BGException
    Взависимости от модуля смотрит в БД аккаунты, сервисы или логины на предмет закрытия дат и, если на договоре всё закрыто было более 3-х лет назад, то такой договор не должен выгружаться и с него можно убрать модуль СОРМ.
    Parameters:
      `moduleTitle` - тип модуля (инет, войс и т.д.)
      `moduleInstance` - экземпляр установленного модуля
    Returns:
      список договоров на которых есть данный модуль и которые не должны быть выгружены
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### hasOpenResources

    public boolean hasOpenResources(int cid, ru.bitel.bgbilling.modules.sorm.common.UploadModulesTitle module, InstalledInstanceModule moduleInstance) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`